﻿@using Microsoft.AspNet.Identity
@using Microsoft.AspNet.Identity.EntityFramework
@using NaveoService.Models
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title>@ViewBag.Title - Naveo One</title>
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700" rel="stylesheet">
    @Styles.Render("~/Content/css")
    @Styles.Render("~/Content/Theme")
    @*@Styles.Render("~/Resources/NaveoCss/leftnav.css")
    @Styles.Render("~/Resources/NaveoCss/NaveoCustom.css")
    @Styles.Render("~/Resources/NaveoCss/Libraries/Sweetalert/sweetalert2.min.css")*@
    @RenderSection("styles", required: false)


    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @*@Scripts.Render("~/Resources/NaveoJs/Libraries/Sweetalert/sweetalert2.min.js")*@
    @Scripts.Render("~/Scripts/jquery.unobtrusive-ajax.min.js")
    <!-- ALERT SECTION 

        This section will implement a notification for sending messages to the user. There are 2 types of messages
        that can be set:
        1- Bootstrap Alerts, which displays a message just beneath the top nav bar, and will automatically close after
        a preset number of time (in seconds)
        2- A popup will appear with your message. This popup does not automatically close even if a delay is set.

        Kindly notes that there are 3 types of messages:
        a) Sucess
        b) Warning
        c) Error
        Each with their predefined icons.

        Here are is how to set a message from your controller:

            TempData["Type"]           = "Your Message Here";
            TempData["TypeDelay"]      = 10; // in seconds
            TempData["TypeDisplay"]    = "popup|alert";
        Simply replace Type with Error, Warning or Success as pere your message type.

    -->
    <script type="text/javascript">
        $(document).ready(function () {

            var ErrorMessage    = '@ViewBag.ErrorMsg';
            var WarningMessage  = '@ViewBag.WarningMsg';
            var SuccessMessage  = '@ViewBag.SuccessMsg';

            if (ErrorMessage.length > 0) {
                var errorAlertDelay = '@ViewBag.ErrorDelay' ? '@ViewBag.ErrorDelay' : 5000;
                var errorDisplay    = '@ViewBag.ErrorDisplay' ? '@ViewBag.ErrorDisplay'   : 'alert';

                if ((errorAlertDelay != -1) && (errorDisplay == 'alert')) {
                    setTimeout(function () {
                        $('.alert-error').fadeOut();
                    }, errorAlertDelay * 1000);
                }

                if (errorDisplay == 'popup') {
                    swal({
                        title: ErrorMessage
                    })
                }

            }

            if (WarningMessage.length > 0) {
                var warningAlertDelay = '@ViewBag.WarningDelay' ? '@ViewBag.WarningDelay'   : 5000;
                var warningDisplay = '@ViewBag.WarningDisplay' ? '@ViewBag.WarningDisplay' : 'alert';

                if ((warningAlertDelay != -1) && (warningDisplay == 'alert')) {
                    setTimeout(function () {
                        $('.alert-warning').fadeOut();
                    }, warningAlertDelay * 1000);
                }

                if (warningDisplay == 'popup') {
                    swal({
                        title: WarningMessage
                    })
                }

            }

            if (SuccessMessage.length > 0) {
                var successAlertDelay = '@ViewBag.SuccessDelay' ? '@ViewBag.SuccessDelay' : 3000;
                var successDisplay = '@ViewBag.SuccessDisplay' ? '@ViewBag.SuccessDisplay' : 'alert';

                if ((successAlertDelay != -1) && (successDisplay == 'alert')) {
                    setTimeout(function () {
                        $('.alert-success').fadeOut();
                    }, successAlertDelay * 1000);
                }

                if ((successAlertDelay != -1) && (successDisplay == 'popup')) {
                    swal({
                        title: SuccessMessage
                    })
                }
            }

        })
    </script>
    <!-- END OF ALERT SECTION -->
    
</head>
<body class="page-header-fixed page-sidebar-fixed page-footer-fixed">
 <div class="page-container">
        <!--[if lt IE 9]>
        <p class="upgrade-browser">Upps!! You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/" target="_blank">upgrade your browser</a> to improve your experience.</p>
        <![endif]-->
        <section id="wrapper">
            <header id="header" class="left-content">
                <!-- Start header left -->
                <div class="header-left">
                    <!-- Start offcanvas left: This menu will take position at the top of template header (mobile only). Make sure that only #header have the `position: relative`, or it may cause unwanted behavior -->
                    @*<div class="navbar-minimize-mobile left">
                        <i class="fa fa-bars"></i>
                    </div>*@
                    <!--/ End offcanvas left -->
                    <!-- Start navbar header -->
                    @*<div class="navbar-header">*@

                        <!-- Start brand -->
                        @*<a id="tour-1" class="navbar-brand" href="\Dashboard\_Activity">
                            <img class="logo" src="~/Resources/Images/mini-logo.png" alt="brand logo">
                        </a>*@<!-- /.navbar-brand -->
                        <!--/ End brand -->

                    @*</div>*@<!-- /.navbar-header -->
                    <!--/ End navbar header -->
                    <!-- Start offcanvas right: This menu will take position at the top of template header (mobile only). Make sure that only #header have the `position: relative`, or it may cause unwanted behavior -->
                    @*<div class="navbar-minimize-mobile right">
                        <i class="fa fa-cog"></i>
                    </div>*@
                    <!--/ End offcanvas right -->

                    <div class="clearfix"></div>
                </div><!-- /.header-left -->
                <!--/ End header left -->
                <!-- Start header right -->
                <div class="header-right">
                    <!-- Start navbar toolbar -->
                    <div class="navbar navbar-toolbar">

                        <!-- Start left navigation -->
                        <ul class="nav navbar-nav navbar-left">

     
      
                        </ul><!-- /.nav navbar-nav navbar-left -->
                        <!--/ End left navigation -->


                        <!-- Start right navigation -->
                       @* <ul class="nav navbar-nav navbar-right">*@
                            <!-- /.nav navbar-nav navbar-right -->


                            @*<li class="navbar-search">
                                <form id="tour-3" class="navbar-form">
                                    <div class="form-group has-feedback">
                                        <input type="text" class="form-control typeahead rounded" placeholder="Search for people, places and things">
                                        <button type="submit" class="btn btn-theme fa fa-search form-control-feedback rounded"></button>
                                    </div>
                                </form>
                                <li/>*@

                            @*<li id="tour-5" class="dropdown navbar-notification">
                                <a href="@ViewBag.HelpUrl" target="_blank" title="Help"><i class="fa fa-envelope" aria-hidden="true"></i></a>
                            </li>*@

                           @* <li id="tour-4" class="dropdown navbar-notification">*@

                                @*<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-bell-o"></i><span class="count label label-danger rounded" id="tCount">@ViewBag.ExcNotificationCount</span></a>*@


                                <!-- Start dropdown menu -->
                                @*<div class="dropdown-menu animated flipInX">
                                    <div class="dropdown-header">
                                        <span class="title">Notifications <strong id="currCount"></strong></span>
                                        @*<span class="option text-right"><a href="#"><i class="fa fa-cog"></i> Setting</a></span>
                                    </div>
                                    <div class="dropdown-body niceScroll">

                                        <!-- Start notification list -->
                                        <div class="media-list small" id="notification-div">
                                        
                                        </div>
                                        <!--/ End notification list -->

                                    </div>
                                
                                </div>*@
                                <!--/ End dropdown menu -->

                            @*</li><!-- /.dropdown navbar-notification -->*@

                                <!-- Start profile -->
                               @*<li id="tour-6" class="dropdown navbar-profile">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                    <span class="meta">
                                        <span class="avatar"><img src="~/Resources/Images/usericon-holder.png" width="35" height="35" class="img-circle" alt="admin"></span>
                                        <span class="text hidden-xs hidden-sm text-muted">@HttpContext.Current.User.Identity.Name</span>
                                        <span class="caret"></span>
                                    </span>
                                </a>*@
                                <!-- Start dropdown menu -->
                                @*<ul class="dropdown-menu animated flipInX">
                                    <li class="dropdown-header">Account</li>
                                    <li><a href="@Url.Action("ChangePassword", "Account")"><i class="fa fa-user"></i>Change Password</a></li>
                                    @*<li><a href="mail-inbox.html"><i class="fa fa-envelope-square"></i>Inbox <span class="label label-info pull-right">30</span></a></li>

                                    <li class="divider"></li>
                                    <li><a href="~/Account/Logout"><i class="fa fa-sign-out"></i>Logout</a></li>
                                </ul>*@
                                <!--/ End dropdown menu -->
                            @*</li><!-- /.dropdown navbar-profile -->*@
                            <!--/ End profile -->
                            <!--/ End settings -->

                        @*</ul>*@
                        <!--/ End right navigation -->

                    </div><!-- /.navbar-toolbar -->
                    <!--/ End navbar toolbar -->
                </div><!-- /.header-right -->
                <!--/ End header left -->
            </header>
            @*<aside class="sidebar-menu">
                <!-- Start left navigation - profile shortcut -->
                @if (Session["UserProfile"] == null)
            {
                //Session["UserProfile"] = Html.Partial("_UserProfile");
            }
                @Session["UserProfile"]
                <!--/ End left navigation -  profile shortcut -->
                <!-- Start left navigation - menu -->
                @if (Request.IsAuthenticated)
            {

            }
                  @Html.Partial("_Navigation")

                <!--/ End left navigation - menu -->
                <!-- Start left navigation - footer -->
                @*<div id="tour-10" class="sidebar-footer hidden-xs hidden-sm hidden-md">
                    <a id="setting" class="pull-left" href="javascript:void(0);" data-toggle="tooltip" data-placement="top" data-title="Setting"><i class="fa fa-cog"></i></a>
                    <a id="fullscreen" class="pull-left" href="javascript:void(0);" data-toggle="tooltip" data-placement="top" data-title="Fullscreen"><i class="fa fa-desktop"></i></a>
                    <a id="lock-screen" data-url="page-signin.html" class="pull-left" href="javascript:void(0);" data-toggle="tooltip" data-placement="top" data-title="Lock Screen"><i class="fa fa-lock"></i></a>
                    <a id="logout" data-url="page-lock-screen.html" class="pull-left" href="javascript:void(0);" data-toggle="tooltip" data-placement="top" data-title="Logout"><i class="fa fa-power-off"></i></a>
                </div>*@<!-- /.sidebar-footer -->
                <!--/ End left navigation - footer -->

            @*</aside><!-- /#sidebar-left -->*@

            <section class="left-content" id="page-content" style="height: 100%; margin-left: 0px">
            @if ( (ViewBag.ErrorMsg != null) && (ViewBag.ErrorDisplay == "alert"))
            {
                <div class="alert alert-danger alert-dismissible" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <i class="fa fa-close"></i> @ViewBag.ErrorMsg
                </div>
            }
            @if ( (ViewBag.WarningMsg != null) && (ViewBag.WarningDisplay == "alert"))
            {
                <div class="alert alert-warning alert-dismissible" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <i class="fa fa-warning"></i> @ViewBag.WarningMsg
                </div>
            }
            @if ( (ViewBag.SuccessMsg != null) && ( (ViewBag.SuccessDisplay == null) || (ViewBag.SuccessDisplay == "alert")) )
            {
                <div class="alert alert-success alert-dismissible" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <i class="fa fa-check"></i> @ViewBag.SuccessMsg
                </div>
            }
                @*<div id="tour-11" class="header-content">
                    <h2><i class="fa fa-home"></i>Main Layout<span></span></h2>
                    <div class="breadcrumb-wrapper hidden-xs">
                        <span class="label">You are here:</span>
                        <ol class="breadcrumb">
                            <li>
                                <i class="fa fa-home"></i>
                                <a href="#">Main Layout</a>
                                <i class="fa fa-angle-right"></i>
                            </li>
                            <li>
                                <a href="#"></a>
                                <i class="fa fa-angle-right"></i>
                            </li>
                            <li class="active"></li>
                        </ol>
                    </div>
                </div>*@<!-- /.header-content -->
                    @RenderBody()
                    <br />
                    <!-- Start footer content -->
               
                    <!--/ End footer content -->

        </section><!-- /#page-content -->

        </section>
        @Scripts.Render("~/bundles/layout")
        @RenderSection("scripts", required: false)
 
</div>
</body>
</html>
